using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class EnemyPatrol : MonoBehaviour {

    public bool pinned = false;
    public float range;
    public float xLeft;
    public float xRight;
    public Vector2 movementVector = Vector2.right;
    public float moveSpeed;

    // Start is called before the first frame update
    void Start() {
        xLeft = transform.position.x - range;
        xRight = transform.position.x + range;
        movementVector *= moveSpeed;
    }

    // Update is called once per frame
    void Update() {
        if (!pinned) {
            if (transform.position.x >= xRight || transform.position.x <= xLeft) {
                movementVector = -movementVector;
            }
            transform.position += new Vector3(movementVector.x, 0, 0) * Time.deltaTime;
        }
    }

    void OnDrawGizmos() {
        Gizmos.color = Color.green;
        Gizmos.DrawLine(new Vector3(transform.position.x - range, transform.position.y, transform.position.z), new Vector3(transform.position.x + range, transform.position.y, transform.position.z));
    }
}
